stages:
    - clonage
    - test
    - fin

ClonageRepo:
    stage: clonage
    image: ubuntu
    script:
        - chmod u+x Myscript.sh
        - ./Myscript.sh

    artifacts:
        paths:
            - ansible
    

TestRéussiteClonage:
    stage: test
    script:
        - find ansible/ -name README
    when: on_success

TestEchec:
    stage: test
    script:
        -  echo "Cloning failed"
    when: on_failure

ClotureDuPipeline:
    stage: fin
    script:
        - echo "Ending pipeline"
    when: always

